Loading...
Searching...
No Matches
GRAM Client API

GRAM Client API. More...

## Topics

| Job state callbacks
| Job state callbacks.
| GRAM Job Functions
| GRAM Job Functions.
| GRAM Client Attribute Functions
| GRAM Client Attribute Functions.

## Functions

void | globus_gram_client_debug (void)
| Enable GRAM debugging.
int | globus_gram_client_version (void)
| Return GRAM protocol version.
int | globus_gram_client_set_credentials (gss_cred_id_t new_credentials)
| Set the default GRAM credential.
const char * | globus_gram_client_error_string (int error_code)
| Get a description of a a GRAM error code.
int | globus_gram_client_job_contact_free (char *job_contact)
| Free a job contact string.
void | globus_gram_client_job_info_destroy (globus_gram_client_job_info_t *info)
| Free memory associated with a globus_gram_client_job_info_t structure.

## Detailed Description

GRAM Client API.

The resource management API provides function for requesting that a job be started or terminated, as well as for requesting information about the status of a job.

## Function Documentation

## globus_gram_client_debug()

void globus_gram_client_debug | ( | void |  | ) |

Enable GRAM debugging.

The globus_gram_client_debug() function enables the displaying of internal GRAM debug messages to standard output. Most of the information printed by this debugging system is related to errors that occur during GRAM Client API functions. The messages printed to standard output are not structured in any way.

## globus_gram_client_error_string()

const char * globus_gram_client_error_string | ( | int | error_code | ) |

Get a description of a a GRAM error code.

The globus_gram_client_error_string() function takes a GRAM error code value and returns the associated error code string. The string is statically allocated by the Globus GRAM Client library and should not be modified or freed. The string is intended to complete a sentence of the form "[operation] failed because ..."

Parameters

  error_code | The error code to translate into a string.

Returns
  The globus_gram_client_error_string() function returns a static string containing an explanation of the error.

## globus_gram_client_job_contact_free()

int globus_gram_client_job_contact_free | ( | char * | job_contact | ) |

Free a job contact string.

The globus_gram_client_job_contact_free() function frees a job contact string that was allocated by a call to one of the functions in the globus_gram_client_job_request() family. The free() function can be used in place of this function. After this function returns, the string pointed to by the job_contact parameter has an undefined value.

Parameters

  job_contact | Pointer to a job contact string returned by a GRAM client API function.

Returns
  This function always returns GLOBUS_SUCCESS.

Return values

  GLOBUS_SUCCESS | Success

## globus_gram_client_job_info_destroy()

void globus_gram_client_job_info_destroy | ( | globus_gram_client_job_info_t * | info | ) |

Free memory associated with a globus_gram_client_job_info_t structure.

The globus_gram_client_job_info_destroy() function frees data pointed to by the extensions and job_contact fields of the globus_gram_client_job_info_t structure pointed to by the info parameter.

Parameters

  info | A structure containing data to free.

## globus_gram_client_set_credentials()

int globus_gram_client_set_credentials | ( | gss_cred_id_t | new_credentials | ) |

Set the default GRAM credential.

The globus_gram_client_set_credentials() function causes subsequent GRAM operations to use the GSSAPI credential new_credentials. These operations include job requests, job signals, callback registration, and job state callbacks. After this function returns, the caller must not use the credential, as it may be freed by GRAM when it is no longer needed.

Parameters

  new_credentials | New GSSAPI credential to use.

Returns
  Upon success, globus_gram_client_set_credentials() returns GLOBUS_SUCCESS. There are no error values returned by this fucntion.

Return values

  GLOBUS_SUCCESS | Success

## globus_gram_client_version()

int globus_gram_client_version | ( | void |  | ) |

Return GRAM protocol version.

The globus_gram_client_version() function returns the version of the GRAM protocol understood by this implementation.

Returns
  The integer protocol revision.